Bug 1277367 - Couldn't find ManageIQ::Providers::InfraManager without an ID [ems_infra/tagging_edit] when clicked on edit tags from scale infrastructure provider page
Couldn't find ManageIQ::Providers::InfraManager without an ID [ems_infra/tagg...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity medium
: GA
: 5.5.0
Assigned To: Ladislav Smola
Aziza Karol
openstack
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-03 02:44 EST by Aziza Karol
Modified: 2015-12-08 08:43 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:43:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
err (54.05 KB, image/png)
2015-11-03 02:45 EST, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-11-03 02:44:28 EST
Created attachment 1088818 [details]
scale page

Description of problem:
When you clicked on all the configuration, policy and monitoring options from scale infrastructure provider page, unexpected error is thrown

Version-Release number of selected component (if applicable):
5.5.0.8

How reproducible:
100%

Steps to Reproduce:
1.Add open stack infrastructure provider page
2.click on scale this infrastructure provider from its summary page
3.From scale infrastructure provider page click on edit tags

Actual results:
Error is thrown when you clicked on all the options from this page. see attached screenshot

Expected results:
All the configuration, policy and monitoring options should be removed from this page.

Additional info:
production.log
[----] I, [2015-11-03T02:29:16.794084 #2898:116398c]  INFO -- : Completed 200 OK in 38ms (Views: 0.8ms | ActiveRecord: 2.0ms)
[----] I, [2015-11-03T02:29:17.121379 #2898:116398c]  INFO -- : Started GET "/ems_infra/tagging_edit?db=ManageIQ%3A%3AProviders%3A%3AInfraManager&escape=false" for 127.0.0.1 at 2015-11-03 02:29:17 -0500
[----] I, [2015-11-03T02:29:17.123046 #2898:116398c]  INFO -- : Processing by EmsInfraController#tagging_edit as HTML
[----] I, [2015-11-03T02:29:17.123122 #2898:116398c]  INFO -- :   Parameters: {"db"=>"ManageIQ::Providers::InfraManager", "escape"=>"false"}
[----] F, [2015-11-03T02:29:17.177953 #2898:116398c] FATAL -- : Error caught: [ActiveRecord::RecordNotFound] Couldn't find ManageIQ::Providers::InfraManager without an ID
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/relation/finder_methods.rb:421:in `find_with_ids'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/relation/finder_methods.rb:71:in `find'
/opt/rh/cfme-gemset/gems/activerecord-deprecated_finders-1.0.4/lib/active_record/deprecated_finders/relation.rb:122:in `find'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/querying.rb:3:in `find'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/core.rb:131:in `find'
/var/www/miq/vmdb/app/controllers/application_controller/tags.rb:342:in `tag_edit_build_screen'
/var/www/miq/vmdb/app/controllers/application_controller/tags.rb:165:in `tagging_tags_set_form_vars'
/var/www/miq/vmdb/app/controllers/application_controller/tags.rb:145:in `tagging_edit_tags_reset'
/var/www/miq/vmdb/app/controllers/application_controller/tags.rb:15:in `tagging_edit'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/base.rb:198:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rendering.rb:10:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:117:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:555:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:505:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:92:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:778:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rescue.rb:29:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications/instrumenter.rb:20:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/params_wrapper.rb:250:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/abstract_controller/base.rb:137:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionview/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal.rb:196:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal/rack_delegation.rb:13:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_controller/metal.rb:237:in `block in action'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:76:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:45:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/journey/router.rb:43:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/journey/router.rb:30:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/journey/router.rb:30:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/routing/route_set.rb:817:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/etag.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/conditionalget.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/head.rb:13:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/params_parser.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/flash.rb:260:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:225:in `context'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/session/abstract/id.rb:220:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/cookies.rb:560:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/query_cache.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:653:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/callbacks.rb:29:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:88:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:778:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/callbacks.rb:81:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/callbacks.rb:27:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/remote_ip.rb:78:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:30:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/rack/logger.rb:38:in `call_app'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/rack/logger.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/request_id.rb:21:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/methodoverride.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/runtime.rb:18:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/lock.rb:17:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/actionpack/lib/action_dispatch/middleware/static.rb:116:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/sendfile.rb:113:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/engine.rb:518:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/application.rb:165:in `call'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/content_length.rb:15:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:86:in `block in pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `catch'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:84:in `pre_process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:53:in `process'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/connection.rb:39:in `receive_data'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run_machine'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/eventmachine-1.0.7/lib/eventmachine.rb:187:in `run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/backends/base.rb:73:in `start'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/thin-1.6.3/lib/thin/server.rb:162:in `start'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/handler/thin.rb:19:in `run'
/opt/rh/cfme-gemset/gems/rack-1.6.4/lib/rack/server.rb:286:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/server.rb:80:in `start'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:80:in `block in server'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:75:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:75:in `server'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
/opt/rh/cfme-gemset/bundler/gems/rails-e2fcb2b4aec6/railties/lib/rails/commands.rb:17:in `<top (required)>'
/var/www/miq/vmdb/bin/rails:4:in `require'
/var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] I, [2015-11-03T02:29:17.179138 #2898:
Comment 2 Aziza Karol 2015-11-03 02:45 EST
Created attachment 1088819 [details]
err
Comment 5 CFME Bot 2015-11-06 14:10:14 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/bad9694cba0ba4f285329ce2dacdc0808800e225

commit bad9694cba0ba4f285329ce2dacdc0808800e225
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Thu Nov 5 14:58:44 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Thu Nov 5 14:58:44 2015 +0100

    OpenStack Infra hide toolbars on scale page
    
    OpenStack Infra hide toolbars on scale page
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1277367

 app/controllers/ems_infra_controller.rb | 3 +++
 1 file changed, 3 insertions(+)
Comment 7 CFME Bot 2015-11-12 15:31:10 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=4cd9bd725a980ede4b55a35527f7ad228e9afe51

commit 4cd9bd725a980ede4b55a35527f7ad228e9afe51
Author:     Ladislav Smola <lsmola@redhat.com>
AuthorDate: Thu Nov 5 14:58:44 2015 +0100
Commit:     Ladislav Smola <lsmola@redhat.com>
CommitDate: Wed Nov 11 13:35:05 2015 +0100

    OpenStack Infra hide toolbars on scale page
    
    OpenStack Infra hide toolbars on scale page
    
    Fixes BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1277367

 app/controllers/ems_infra_controller.rb | 3 +++
 1 file changed, 3 insertions(+)
Comment 8 CFME Bot 2015-11-12 15:32:46 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=96a3f7b100099ccf00dbbed93962818da8ecb3f9

commit 96a3f7b100099ccf00dbbed93962818da8ecb3f9
Merge: fec3d10 4cd9bd7
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Wed Nov 11 13:44:09 2015 -0500
Commit:     Dan Clarizio <dclarizi@redhat.com>
CommitDate: Wed Nov 11 13:44:09 2015 -0500

    Merge branch 'bz1277367' into '5.5.z'
    
    OpenStack Infra hide toolbars on scale page
    
    OpenStack Infra hide toolbars on scale page
    
    Fixes 5.5 BZ:
    https://bugzilla.redhat.com/show_bug.cgi?id=1277367
    
    Clean cherry pick from
    https://github.com/ManageIQ/manageiq/pull/5299
    
    See merge request !402

 app/controllers/ems_infra_controller.rb | 3 +++
 1 file changed, 3 insertions(+)
Comment 9 Aziza Karol 2015-11-19 06:07:01 EST
Toolbars hidden on scale infrastructure provider page

Verified:
5.5.0.11-rc1.20151117182049_653c0d4
Comment 11 errata-xmlrpc 2015-12-08 08:43:18 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.